@echo off

REM --------------------------------------------------------------------------
:clean

del /Q *.obj >nul 2>nul
del /Q *.res >nul 2>nul

REM --------------------------------------------------------------------------
:make_res

set TARGET=Version
\masm32\bin\rc /n %TARGET%.rc
if errorlevel 1 goto error_res
\masm32\bin\cvtres /nologo /machine:ix86 %TARGET%.res
if errorlevel 1 goto error_res

REM --------------------------------------------------------------------------
:make_obj

set TARGET=DesktopStyle
\masm32\bin\ml /nologo /c /coff %TARGET%.asm
if errorlevel 1 goto error_obj

REM --------------------------------------------------------------------------
:make_link

set TARGET=DesktopStyle.obj Version.obj
\masm32\bin\link /nologo /subsystem:windows /release /out:DesktopStyle.exe %TARGET%
if errorlevel 1 goto error_link

goto final

REM --------------------------------------------------------------------------
:error_res

echo.
echo ----- RC: Error building file: %TARGET%.rc
goto final

REM --------------------------------------------------------------------------
:error_obj

echo.
echo ----- ML: Error building file: %TARGET%.asm
goto final

REM --------------------------------------------------------------------------
:error_link

echo.
echo ----- LINK: Error linking files: %TARGET%
goto final

REM --------------------------------------------------------------------------
:final
if "%1"=="/keep" goto final_noclean

del /Q *.obj >nul 2>nul
del /Q *.res >nul 2>nul

:final_noclean
echo.
pause
